import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:gz_video_player/gz_video_player_method_channel.dart';

void main() {
  MethodChannelGzVideoPlayer platform = MethodChannelGzVideoPlayer();
  const MethodChannel channel = MethodChannel('gz_video_player');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
